OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Object Type Helpers

Be sure to see the figure in termsanddefs that shows a complete topology tree, including depths, child/sibling/cousin relationships, and an example of an asymmetric topology where one socket has fewer caches than its peers. More...

## Functions
static __hwloc_inline int __hwloc_attribute_pure | hwloc_get_type_or_below_depth (hwloc_topology_t topology, hwloc_obj_type_t type)
| Returns the depth of objects of type `type` or below. More...
static __hwloc_inline int __hwloc_attribute_pure | hwloc_get_type_or_above_depth (hwloc_topology_t topology, hwloc_obj_type_t type)
| Returns the depth of objects of type `type` or above. More...

## Detailed Description

Be sure to see the figure in termsanddefs that shows a complete topology tree, including depths, child/sibling/cousin relationships, and an example of an asymmetric topology where one socket has fewer caches than its peers.

## Function Documentation

static __hwloc_inline int __hwloc_attribute_pure hwloc_get_type_or_above_depth | ( | hwloc_topology_t | topology,
|  | hwloc_obj_type_t | type
| ) |  |
| static

Returns the depth of objects of type `type` or above.

If no object of this type is present on the underlying architecture, the function returns the depth of the first "present" object typically containing `type`.

If some objects of the given type exist in different levels, for instance L1 and L2 caches, the function returns HWLOC_TYPE_DEPTH_MULTIPLE.

References hwloc_compare_types(), hwloc_get_depth_type(), hwloc_get_type_depth(), and HWLOC_TYPE_DEPTH_UNKNOWN.

static __hwloc_inline int __hwloc_attribute_pure hwloc_get_type_or_below_depth | ( | hwloc_topology_t | topology,
|  | hwloc_obj_type_t | type
| ) |  |
| static

Returns the depth of objects of type `type` or below.

If no object of this type is present on the underlying architecture, the function returns the depth of the first "present" object typically found inside `type`.

If some objects of the given type exist in different levels, for instance L1 and L2 caches, the function returns HWLOC_TYPE_DEPTH_MULTIPLE.

References hwloc_compare_types(), hwloc_get_depth_type(), hwloc_get_type_depth(), HWLOC_OBJ_PU, and HWLOC_TYPE_DEPTH_UNKNOWN.